tabletPdaDefaultSide2 = {};

function tabletPdaDefaultSide2:generate(installModGuiTablePos, whichPDA, masterPage, slavePage, pageSide)
	----is line/button a pullDownMenue ---> check is pullDownOpen or not --> g_currentMission.guiMenue.master.isPullDownOpen()	
	local isGenerate, errorTxt = true, "";
	function printError()
		if not isGenerate and string.len(tostring(errorTxt)) > 0 then print(tostring(errorTxt));end;
	end;	
	local whichSubPDA = whichPDA or "masterPDA_"
	local lineButtonTable = {};
	local lineCmdTable = {};
	
	--line 1
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "pdaGroundDesign_";
		isHidden = false; 
		buttonType = 6; 
		buttonWidth = 0; 		
		txtOverButton = "PDA Design"; 
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Set Optional another Design\nonly for background not for Icons";
		cmdTable = moSetGetOverlays.pda[whichSubPDA];
		cmdValue = "groundDesign";
		cmdType = "int";
		buttonTxt = "";	
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "pdaKeyControl_";
		isHidden = false; 
		buttonType = 7; 
		buttonWidth = 0; 		
		txtOverButton = "KeySelect"; 
		helpIcon = 1; 
		helpTxt = {tostring(moLanguageXml:getTxt("keyselecthelp1", nil, nil, nil, true))};
		infoTxt = tostring(moLanguageXml:getTxt("keyselectinfo", nil, nil, nil, true));
		cmdTable = moSetGetOverlays.pda[whichSubPDA];
		cmdValue = "keyControl";
		cmdType = "boolean";
		buttonTxt = "";	
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=1, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 1
	
	--line 2
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "pdaZoomInOut_";
		isHidden = false;
		buttonType = 3;
		buttonWidth = 0;
		--borderColor = moSetGetExtras.colors["darkGreen"];
		txtOverButton = "Zoom In/Out";
		--txtOverButtonColor = moSetGetExtras.colors["darkGreen"];
		helpIcon = 2;
		helpTxt = {"Min zoomIn ".. tostring(moSetGetOverlays.pda[whichSubPDA].minZoomOutInTemp).. "\nDefault zoomInOut ".. tostring(moSetGetOverlays.defaultZoomOutInTemp).. "\nMax zoomOut ".. tostring(moSetGetOverlays.pda[whichSubPDA].maxZoomOutInTemp), "! Optional Hack max ZoomInOut over clientSettings.xml !\nonly on request with me\nno support for errors"};
		infoTxt = "Min/Max ZoomInOut for PDA";	
		cmdTable = moSetGetOverlays.pda[whichSubPDA];
		cmdValue = "zoomOutInTemp";
		cmdType = "float";
		buttonTxt = 0.1;
	};	
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "pdaDistanceAppIcons_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "AppIcon Distance"; 
		helpIcon = 1; 
		helpTxt = {"Set Optional Distance between two icons for all MiniPDAs\nMin Distance = 0\nDefault Distance = 1\nMax Distance = 7"};
		infoTxt = "Value for horizontal And Vertical Distance for all MiniPDAs";
		cmdTable = moSetGetOverlays.pda[whichSubPDA];
		cmdValue = "distanceAppIcons";
		cmdType = "float";
		buttonTxt = 0.1;	
	};	
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=2, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 2	
	if enabled then
	--line 3
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "pdaViewLines_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "PDA View Lines"; 
		helpIcon = 2; 
		helpTxt = {"Min View Lines 1\nMax View Lines 10", "! Optional Hack max View Lines over clientSettings.xml !\nonly on request with me\nno support for errors"};
		infoTxt = "Set Max View Lines at Master MiniPDA\ndepends on the lines you have created";
		cmdTable = moSetGetOverlays.pda[whichSubPDA];
		cmdValue = "viewLines";
		cmdType = "int";
		buttonTxt = "";	
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "pdaViewApps_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "PDA View Apps"; 
		helpIcon = 2; 
		helpTxt = {"Min View Apps 1\nDefault View Apps 4\nMax View Apps 10", "! Optional Hack max View Apps over clientSettings.xml !\nonly on request with me\nno support for errors"};
		infoTxt = "Set View max Apps at PDA\nis for all Lines in this PDA";
		cmdTable = moSetGetOverlays.pda[whichSubPDA]; 
		cmdValue = "viewApps";
		cmdType = "int";
		buttonTxt = "";	
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=3, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 3
	end;
	--line 4
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "pdaAutoHidden_";
		isHidden = false; 
		buttonType = 5; 
		buttonWidth = 0; 		
		txtOverButton = "Auto Hidden"; 
		helpIcon = 1; 
		helpTxt = {"Is Warning or ... ON and Info present then see Small PDA with Info"};
		infoTxt = "Set PDA Auto Hidden is hiddenTimer end, close Settings Menue for Test";
		cmdTable = moSetGetOverlays.pda[whichSubPDA].hidden; 
		cmdValue = "auto";
		cmdType = "boolean";
		buttonTxt = "";	
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "pdaHiddenTimer_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "Hidden Timer"; 
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Set PDA Hidden is hiddenTimer end and Auto Hidden ON, close Settings Menue for Test\n1 Sec,2 Sec etc. (max 60 sec.)";
		cmdTable = moSetGetOverlays.pda[whichSubPDA].hidden; 
		cmdValue = "timer";
		cmdType = "int";
		buttonTxt = "";	
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=3, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 4
	
end;


function tabletPdaDefaultSide2:setReturnClick(self, returnClick, whichPDA, isPullDownOpen, clickLine, clickButton, masterPage, slavePage, pageSide, isVirtualReturnClick) --byName (virtual.... for Activate over Mod(not over Gui Menue click)for set Icons or at GuiMenue or or etc)
	local whichSubPDA = whichPDA or "masterPDA_";
	local upOrLeft = string.find(returnClick, "_Up") or string.find(returnClick, "_Left");
	local downOrRight = string.find(returnClick, "_Down") or string.find(returnClick, "_Right");
	
	local defaultPageSide = 2; --ändern wenn die seite verschoben wird
	
	if string.find(returnClick, "pdaKeyControl_") then if moSetGetOverlays.pda[whichSubPDA].keyControl then moSetGetOverlays.pda[whichSubPDA].keyControl = false;else moSetGetOverlays.pda[whichSubPDA].keyControl = true;end;
	elseif string.find(returnClick, "pdaZoomInOut_") then
		if upOrLeft then
			if not moGeneralSettings.ignore.minZoomOutIn and moSetGetOverlays.pda[whichSubPDA].zoomOutInTemp-moSetGetOverlays.zoomOutInLevel < moSetGetOverlays.pda[whichSubPDA].minZoomOutInTemp then return;end;
			moSetGetOverlays.pda[whichSubPDA].zoomOutInTemp = moSetGetOverlays.pda[whichSubPDA].zoomOutInTemp-moSetGetOverlays.zoomOutInLevel;
			moSetGetOverlays:resetPdaOverlays(self, whichSubPDA, true);
			moSetGetOverlays:replacePdaPosX(self, whichSubPDA);
			moSetGetOverlays:replacePdaPosY(self, whichSubPDA);						
		elseif downOrRight then 
			if not moGeneralSettings.ignore.maxZoomOutIn and moSetGetOverlays.pda[whichSubPDA].zoomOutInTemp+moSetGetOverlays.zoomOutInLevel > moSetGetOverlays.pda[whichSubPDA].maxZoomOutInTemp then return;end;
			moSetGetOverlays.pda[whichSubPDA].zoomOutInTemp = moSetGetOverlays.pda[whichSubPDA].zoomOutInTemp+moSetGetOverlays.zoomOutInLevel;
			moSetGetOverlays:resetPdaOverlays(self, whichSubPDA, true);
			moSetGetOverlays:replacePdaPosX(self, whichSubPDA);
			moSetGetOverlays:replacePdaPosY(self, whichSubPDA);
		end;
		return;	
	elseif string.find(returnClick, "pdaDistanceAppIcons_") then
		if upOrLeft then
			if moSetGetOverlays.pda[whichSubPDA].distanceAppIcons <= 0 then return;end;
			moSetGetOverlays.pda[whichSubPDA].distanceAppIcons = moSetGetOverlays.pda[whichSubPDA].distanceAppIcons-0.1;
			moSetGetOverlays:resetPdaOverlays(self, whichSubPDA);
		elseif downOrRight then
			if moSetGetOverlays.pda[whichSubPDA].distanceAppIcons >= 7 then return;end;
			moSetGetOverlays.pda[whichSubPDA].distanceAppIcons = moSetGetOverlays.pda[whichSubPDA].distanceAppIcons+0.1;
			moSetGetOverlays:resetPdaOverlays(self, whichSubPDA);
		end;
		moSetGetOverlays:replacePdaPosX(self, whichSubPDA);
		moSetGetOverlays:replacePdaPosY(self, whichSubPDA);
		return;	
	elseif string.find(returnClick, "pdaUpDown_") then --old delete later
		if upOrLeft then
			if moSetGetOverlays.pda[whichSubPDA].pos.up then return;end;
			moSetGetOverlays.pda[whichSubPDA].pos.up = true;
			moSetGetOverlays:replacePdaPosY(self, whichSubPDA);
		elseif downOrRight then
			if not moSetGetOverlays.pda[whichSubPDA].pos.up then return;end;
			moSetGetOverlays.pda[whichSubPDA].pos.up = false;
			moSetGetOverlays:replacePdaPosY(self, whichSubPDA);
		end;
		return;
	elseif string.find(returnClick, "pdaGroundDesign_") then	
		if upOrLeft then			
				moSetGetOverlays.pda[whichSubPDA].groundDesign = moSetGetOverlays.pda[whichSubPDA].groundDesign-1;
				if moSetGetOverlays.pda[whichSubPDA].groundDesign < 1 then moSetGetOverlays.pda[whichSubPDA].groundDesign = moSetGetOverlays.groundDesignMax;end;
				moSetGetOverlays:loadDesignGroundOverlays(self, true, whichSubPDA);
		elseif downOrRight then			
			moSetGetOverlays.pda[whichSubPDA].groundDesign = moSetGetOverlays.pda[whichSubPDA].groundDesign+1;
			if moSetGetOverlays.pda[whichSubPDA].groundDesign > moSetGetOverlays.groundDesignMax then moSetGetOverlays.pda[whichSubPDA].groundDesign = 1;end;
			moSetGetOverlays:loadDesignGroundOverlays(self, true, whichSubPDA);
		end;
		return;	
	elseif string.find(returnClick, "pdaAutoHidden_") then	
		if moSetGetOverlays.pda[whichSubPDA].hidden.auto then moSetGetOverlays.pda[whichSubPDA].hidden.auto = false;else moSetGetOverlays.pda[whichSubPDA].hidden.auto = true;end;return;
	elseif string.find(returnClick, "pdaHiddenTimer_") then	
		if upOrLeft then				
				if moSetGetOverlays.pda[whichSubPDA].hidden.timer-1 < 2 then return;end;
				moSetGetOverlays.pda[whichSubPDA].hidden.timer = moSetGetOverlays.pda[whichSubPDA].hidden.timer-1;				
		elseif downOrRight then	
			if moSetGetOverlays.pda[whichSubPDA].hidden.timer+1 > moSetGetOverlays.pda[whichSubPDA].hidden.maxSec then return;end;
			moSetGetOverlays.pda[whichSubPDA].hidden.timer = moSetGetOverlays.pda[whichSubPDA].hidden.timer+1;			
		end;
		return;
	end;
	return;
end;