pdaSlotGlobalSide1 = {};

function pdaSlotGlobalSide1:generate(installModGuiTablePos, masterPage, slavePage, pageSide)
	----is line/button a pullDownMenue ---> check is pullDownOpen or not --> g_currentMission.guiMenue.master.isPullDownOpen()		
	local isGenerate, errorTxt = true, "";
	function printError()
		if not isGenerate and string.len(tostring(errorTxt)) > 0 then print(tostring(errorTxt));end;
	end;	
	local lineButtonTable = {};	
	local lineCmdTable = {};
	--line 1	
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "emptyLine_";
		isHidden = false; 
		buttonType = 0; 
		buttonWidth = 0; 		
		txtOverButton = "Notice";
		txtOverButtonColor = moColors.intern["yellow"];
		helpIcon = 1; 
		helpTxt = {"Der interne PDA Name (clientSettings.xml) darf nicht geändert werden."};
		infoTxt = "";
		cmdTable = nil;
		changeAlone = nil; --GuiMenue set new/changes Select or Mod alone set new/changes select then set true (default false or nil)
		cmdValue = nil;
		cmdType = nil;
		moveButtonTxt = true;
		buttonTxt = "! Info ! Der PDA Name dient NUR zur besseren Orientierung und zum auswählen in den Settings.Du kannst den PDA Namen jeder Zeit anpassen oder ändern."; -- Der interne PDA Name(clientSettings.xml) darf nicht geändert werden.";
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=1, maxButtons=1, isHidden=false, lineButtonTable=lineButtonTable, buttonAutoWidth=true} );
	printError();
	--line 1
	
	if disable then --deaktiviert
	--line 2
	lineButtonTable = {};	
	lineCmdTable = {};
	function comp(w1,w2)			
		if w1[1] < w2[1] then
			return true;
		end;			
	end;
	local foundMohPDAs = moSetGetMohPDA:getPDAs();
	table.sort(foundMohPDAs, comp);
	for a=1, #foundMohPDAs do		
		lineCmdTable[a] = {};
		lineCmdTable[a].cmdTable = nil;
		lineCmdTable[a].cmdValue = nil;
		lineCmdTable[a].cmdType = "stringOnly";
		lineCmdTable[a].buttonTxt = tostring(foundMohPDAs[a][2]);
		lineCmdTable[a].modOnlyInfo = tostring(foundMohPDAs[a][1]); --only for mod alone (to deposit something) -button
		lineCmdTable[a].isSelect = a == 1;		
		lineCmdTable[a].infoTxt = "!! Warning !! Delete Tablet PDA is irrevocable, with(incl.) all Line/Apps Settings.";		
	end;
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "globalSelectPdaDelete_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = 0; 		
		txtOverButton = "Select Delete Tablet PDA"; 
		helpIcon = 1; 
		helpTxt = {"Activate Backup ... XML for safeness\nand/or Tablet PDA confirm delete (your decision)\nis Tablet PDA empty then need not confirm"};
		infoTxt = "";
		cmdTable = lineCmdTable;		
		cmdValue = nil;
		cmdType = "pullDown_1";		
		buttonTxt = "";
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "globalPdaDelete_";
		isHidden = false; 
		buttonType = 8; 
		buttonWidth = 0; 		
		txtOverButton = "Delete Select Tablet PDA"; 
		txtOverButtonColor = moColors.intern["orangeRed"];
		helpIcon = 1; 
		helpTxt = {"Activate Backup ... XML to safeness\nand/or Safeness delete confirm (your decision)\nis Delete ... empty then need not confirm"};
		infoTxt = "!! Warning !! Delete Tablet PDA is irrevocable, with(incl.) all Line/Apps Settings.";
		cmdTable = nil;
		changeAlone = nil; --GuiMenue set new/changes Select or Mod alone set new/changes select then set true (default false or nil)
		cmdValue = nil;
		cmdType = "stringOnly";		
		buttonTxt = tostring(lineCmdTable[1].buttonTxt);
	};	
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=2, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable, buttonAutoWidth=true} );
	printError();
	--line 2
	end;
	
	--line 2	
	lineButtonTable = {};	
	lineCmdTable = {};
	for _index, name in pairs(moSetGetOverlays.pdaNamen.suggestion) do		
		lineCmdTable[_index] = {};
		lineCmdTable[_index].cmdTable = nil;
		lineCmdTable[_index].cmdValue = nil;
		lineCmdTable[_index].cmdType = "stringOnly";
		lineCmdTable[_index].buttonTxt = tostring(moSetGetOverlays.pdaNamen.suggestion[_index]);
		lineCmdTable[_index].isSelect = _index == 1;		
		lineCmdTable[_index].infoTxt = "! INFO ! the name is used for better finding (for Player)\nand for open a PDA over App Icons";		
	end;	
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "globalPdaSelectName_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = 3; 		
		txtOverButton = "Select PDA Name"; 
		helpIcon = 2; 
		helpTxt = {"edit optional later pda name over xml file", "no special characters allowed at PDA Name"};
		infoTxt = "Select PDA Name or create it yourself\nMax PDA Name length --> 20";
		cmdTable = lineCmdTable;
		cmdValue = nil;
		cmdType = "pullDown_1";
		buttonTxt = "";	
	};
	lineCmdTable = {};
	for _index, name in pairs(moSetGetOverlays.pdaType) do		
		lineCmdTable[_index] = {};
		lineCmdTable[_index].cmdTable = nil;
		lineCmdTable[_index].cmdValue = nil;
		lineCmdTable[_index].cmdType = "stringOnly";
		lineCmdTable[_index].buttonTxt = tostring(name);
		lineCmdTable[_index].isSelect = _index == 1;		
		if _index == 1 then
			lineCmdTable[_index].infoTxt = "Is available";
		else
			lineCmdTable[_index].infoTxt = "! INFO ! Is not available (type is not enabled)";
		end;
	end;	
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "globalPdaSelectType_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = -3; 		
		txtOverButton = "Select PDA Type"; 
		helpIcon = 1; 
		helpTxt = {"is not all enabled"};
		infoTxt = "Select PDA Type";
		cmdTable = lineCmdTable;		
		changeAlone = true; --der erste eintrag bleibt selectiert (Gui Menue ändert nichts),wenn im Moh integriert ist, dann später ändern und returnClick noch hinzufügen
		cmdValue = nil;
		cmdType = "pullDown_1";
		buttonTxt = "";	
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=2, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );	
	printError();
	--line 2
	
	--line 3
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "globalPdaGenerate_";
		isHidden = false; 
		buttonType = 7; 
		buttonWidth = 0; 		
		txtOverButton = "Generate New PDA Type"; 
		helpIcon = 2; 
		helpTxt = {"you can this PDA it later delete", "no special characters allowed at PDA Name"};
		infoTxt = "Select First PDA Name or create it yourself\nMax PDA Name length --> 20\n! Attention ! first position is middle";
		cmdTable = moSetGetOverlays.pdaNamen;
		cmdValue = "isSelect";
		cmdType = "boolean";
		buttonTxt = "Select PDA Type/Name"; --erzwingt diesen buttonTxt an zu zeigen, wenn cmdType boolean ist,ansonsten leer lassen,dann wird nur ON oder OFF angezeigt
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=3, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );	
	printError();
	--line 3
	--line 4 empty
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "";
		isHidden = false; 
		buttonType = 8; 
		buttonWidth = 0; 		
		txtOverButton = ""; 
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "";
		cmdTable = nil;
		cmdValue = nil;
		cmdType = "stringOnly";
		buttonTxt = "";
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=4, maxButtons=2, isHidden=true, lineButtonTable=lineButtonTable} );	
	printError();	
	--line 4 empty
	--line 5
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "globalSlotGenerate_";
		isHidden = false; 
		buttonType = 8; 
		buttonWidth = 0; 		
		txtOverButton = "Generate New SLOT Type"; 
		helpIcon = 1; 
		helpTxt = {"you can this SLOT it later delete"};
		infoTxt = "Edit Name later ! Attention ! first position is middle";
		cmdTable = nil;
		cmdValue = nil;
		cmdType = "stringOnly";
		buttonTxt = "Random Name"; --erzwingt diesen buttonTxt an zu zeigen, wenn cmdType boolean ist,ansonsten leer lassen,dann wird nur ON oder OFF angezeigt
	};	
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=5, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );	
	printError();
	--line 5
end;

function pdaSlotGlobalSide1:setReturnClick(self, returnClick, whichPDA, isPullDownOpen, clickLine, clickButton, masterPage, slavePage, pageSide, isVirtualReturnClick) --byName (virtual.... for Activate over Mod(not over Gui Menue click)for set Icons or at GuiMenue or or etc)
	local whichSubPDA = whichPDA or "masterPDA_";	
	local upOrLeft = string.find(returnClick, "_Up") or string.find(returnClick, "_Left");
	local downOrRight = string.find(returnClick, "_Down") or string.find(returnClick, "_Right");

	local defaultPageSide = 1; --ändern wenn die seite verschoben wird

	if string.find(returnClick, "globalPdaGenerate_") and moSetGetOverlays.pdaNamen.isSelect then			
		if MultiOverlayV3.timers["generatePDA"] == nil then
			moSetGetExtras:addTimer( {delay=5, name="generatePDA", repeatable=1, action=nil} ); --cooldown Timer
		else
			g_currentMission:showBlinkingWarning("Wait 5 sec -Cooldown Active-", 2000)
			return;
		end;
		local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="globalPdaGenerate_"} );
		if getThisButtonPage == nil then return;end;
		local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
		if getThisButtonPage.slavePage ~= nil then guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].page[getThisButtonPage.slavePage].side[getThisButtonPage.pageSide];end;
		local buttonInfo = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="globalPdaSelectName_"} );
		local buttonTable = Utils.getNoNil(guiPageTable.line[buttonInfo.line].button[buttonInfo.button], nil);
		local selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);
		if buttonTable ~= nil and selectLine >= 3 then --Random Name and Generate
			guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button].buttonTxt = "Select PDA Type/Name";
			moSetGetOverlays.pdaNamen.isSelect = false;	
			moSetGetGuiMenue:resetSelectPullDownLine(self, nil, nil, buttonTable, 1);
			local pdaName, pdaGlobalName = nil, nil;
			if selectLine == 3 then 
				pdaName, pdaGlobalName = moSetGetGuiMenue:getRandomName(moSetGetOverlays.pdaNamen.getRandom, "PDA");
			else
				pdaName = moSetGetOverlays.pdaNamen.suggestion[selectLine];
				local tempPdaName = string.lower(pdaName);
				pdaGlobalName = string.gsub(tempPdaName, " ", "").. "PDA_";
			end;
			moSetGetOverlays.pda[pdaGlobalName] = MultiOverlayV3:getTableCopy(moSetGetOverlays.pdaDefault); --pda default values
			moSetGetOverlays.pda[pdaGlobalName].name = tostring(pdaName);			
			moSetGetMohPDA:setLine(self, 0, nil, nil, true, nil, pdaGlobalName); --pda default 1x line and 1x empty app
			moSetGetOverlays:loadDesignGroundOverlays(self, nil, pdaGlobalName); --pda groundDesign
			moSetGetOverlays:loadAppIconsOverlays(self, "mohIconBlank_", 0, nil, nil, pdaGlobalName); --pda icon for empty
			moSetGetOverlays:loadAppIconsOverlays(self, "mohIconFail_", 1, nil, nil, pdaGlobalName); --pda icon for error			
			moSetGetMohPDA:resetRenderViewLines(pdaGlobalName);			
			guiMenueGenerate:insertNewTabletPdaPage(pdaName, pdaGlobalName); --generate New Gui Menu page/side/lines			
			g_currentMission.guiMenue.guiSetGet:modSaveButtonInfo(MultiOverlayV3.guiMenue.modTable, true) --update buttonInfo
			moSetGetMohPDA.setOpenCloseSettingsPDA(pdaGlobalName, true, nil); --set new pda open
			moSetGetCmd:generatePdaOpenCloseCmd(pdaGlobalName); --generate new open/close cmd
			moSetGetGuiMenue:refreshAllSideCmdPullDownLine();
 			return;
		elseif buttonTable ~= nil and selectLine == 2 then --Generate Own Name
			moSetGetOverlays.pdaNamen.isSelect = false;			
			moSetGetGuiMenue:resetSelectPullDownLine(self, nil, nil, buttonTable, 1);
			if not moSetGetGuiMenue:generateNewPdaName() then g_currentMission:showBlinkingWarning("! UNKNOWN ERROR ! NOT Created new PDA name", 2000);return;end;			
		else
			g_currentMission:showBlinkingWarning("Select First PDA Type/Name", 2000);
		end;
		return;		
	elseif string.find(returnClick, "globalPdaSelectName_") then --pullDownMenue			
		local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="globalPdaSelectName_"} );			
		if getThisButtonPage == nil then return;end;
		local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
		if getThisButtonPage.slavePage ~= nil then guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].page[getThisButtonPage.slavePage].side[getThisButtonPage.pageSide];end;
		local buttonInfo = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="globalPdaGenerate_"} );
		if not isPullDownOpen then --select pulldown Menue ---> check is pullDownOpen or not				
			local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
			local selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);
			if buttonTable ~= nil and selectLine > 0 then
				if selectLine == 1 then --empty and Generate New PDA is OFF
					guiPageTable.line[buttonInfo.line].button[buttonInfo.button].buttonTxt = "Select PDA Type/Name";
					moSetGetOverlays.pdaNamen.isSelect = false;
				elseif selectLine == 2 then --generate own name
					guiPageTable.line[buttonInfo.line].button[buttonInfo.button].buttonTxt = "Generate First Name";
					moSetGetOverlays.pdaNamen.isSelect = true;
				elseif selectLine >= 3 then --generate Random Name
					guiPageTable.line[buttonInfo.line].button[buttonInfo.button].buttonTxt = "Ready";
					moSetGetOverlays.pdaNamen.isSelect = true;
				end;				
			end;
		else 
			guiPageTable.line[buttonInfo.line].button[buttonInfo.button].buttonTxt = "Not Ready";
			moSetGetOverlays.pdaNamen.isSelect = false;
		end;
		return;
	elseif string.find(returnClick, "globalSlotGenerate_") then
		if MultiOverlayV3.timers["generateSLOT"] == nil then
			moSetGetExtras:addTimer( {delay=5, name="generateSLOT", repeatable=1, action=nil} ); --cooldown Timer
		else
			g_currentMission:showBlinkingWarning("Wait 5 sec -Cooldown Active-", 2000)
			return;
		end;		
		local slotName, slotGlobalName = moSetGetGuiMenue:getRandomName(moSetGetOverlays.slotNamen.getRandom, "SLOT");
		moSetGetOverlays.slot[slotGlobalName] = MultiOverlayV3:getTableCopy(moSetGetOverlays.slotDefault); --slot default values
		moSetGetOverlays.slot[slotGlobalName].name = tostring(slotName);
		moSetGetOverlays:loadSlotOverlays(self, nil, slotGlobalName);
		--g_currentMission.guiMenue.guiSetGet:modSaveButtonInfo(MultiOverlayV3.guiMenue.modTable, true) --update buttonInfo
		moSetGetCmd:generateSlotOpenCloseCmd(slotGlobalName);
		moSetGetGuiMenue:refreshAllSideCmdPullDownLine();
		moModule:slotOutputCmd(true);
		local defaultPageSide = 1; --ändern wenn die seite verschoben wird
		local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="slotSettingsSelect_"} );			
		if getThisButtonPage == nil then return;end;
		local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
		if getThisButtonPage.slavePage ~= nil then guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].page[getThisButtonPage.slavePage].side[getThisButtonPage.pageSide];end;
		local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
		buttonTable.cmdTable = moSetGetGuiMenue:getNewPullDownTable(4);
		slotSettingsSide1:resetSlotGuiMenue();
		return;	
	end;
	return;
end;